<script setup>
import { store, closePopup, setupSearch, savePopup } from '@/store.js';
import { usePage } from '@inertiajs/vue3';
import draggable from "vuedraggable";
const page = usePage();
const types = {
    1: {
        name: 'Комплектующая',
        pad: 'комплектующую',
        link: 'items',
    },
    2: {
        name: 'Деталь',
        pad: 'деталь',
        link: 'details',
    },
    3: {
        name: 'Оборудование',
        pad: 'оборудование',
        link: 'equipments',
    },
    4: {
        name: 'Доп. оборудование',
        pad: 'доп. оборудование',
        link: 'customs',
    },
};
</script>

<template>
    <div class="pop" stype="z-index: 9" :class="{ '_active': store.popups.edit.active > 0 }">
        <div class="popback" @click="closePopup()">

        </div>
        <template v-if="store.popups.edit.active > 1">
            <div class="container">
                <div class="pop__content wrap">
                    <div class="pop__name">
                        <div class="pop__title">
                            {{ store.popups.edit.action == 'add' ? 'Добавить' :
                            'Изменить' }} {{ types[store.popups.edit.info.type].pad }}
                        </div>
                        <div class="pop__buttons">
                            <div class="pop__button pop__search" @click="setupSearch()" v-if="page.props.auth.user.role_id != 1">
                                <svg xmlns="http://www.w3.org/2000/svg" width="800px" height="800px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path
                                        d="M13.2218 3.32234C15.3697 1.17445 18.8521 1.17445 21 3.32234C23.1479 5.47022 23.1479 8.95263 21 11.1005L17.4645 14.636C15.3166 16.7839 11.8342 16.7839 9.6863 14.636C9.48752 14.4373 9.30713 14.2271 9.14514 14.0075C8.90318 13.6796 8.97098 13.2301 9.25914 12.9419C9.73221 12.4688 10.5662 12.6561 11.0245 13.1435C11.0494 13.1699 11.0747 13.196 11.1005 13.2218C12.4673 14.5887 14.6834 14.5887 16.0503 13.2218L19.5858 9.6863C20.9526 8.31947 20.9526 6.10339 19.5858 4.73655C18.219 3.36972 16.0029 3.36972 14.636 4.73655L13.5754 5.79721C13.1849 6.18774 12.5517 6.18774 12.1612 5.79721C11.7706 5.40669 11.7706 4.77352 12.1612 4.383L13.2218 3.32234Z"
                                        fill="#FFFFFF" />
                                    <path
                                        d="M6.85787 9.6863C8.90184 7.64233 12.2261 7.60094 14.3494 9.42268C14.7319 9.75083 14.7008 10.3287 14.3444 10.685C13.9253 11.1041 13.2317 11.0404 12.7416 10.707C11.398 9.79292 9.48593 9.88667 8.27209 11.1005L4.73655 14.636C3.36972 16.0029 3.36972 18.219 4.73655 19.5858C6.10339 20.9526 8.31947 20.9526 9.6863 19.5858L10.747 18.5251C11.1375 18.1346 11.7706 18.1346 12.1612 18.5251C12.5517 18.9157 12.5517 19.5488 12.1612 19.9394L11.1005 21C8.95263 23.1479 5.47022 23.1479 3.32234 21C1.17445 18.8521 1.17445 15.3697 3.32234 13.2218L6.85787 9.6863Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                            <div class="pop__button pop__save" @click="savePopup()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="18px" height="18px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                        d="M18.1716 1C18.702 1 19.2107 1.21071 19.5858 1.58579L22.4142 4.41421C22.7893 4.78929 23 5.29799 23 5.82843V20C23 21.6569 21.6569 23 20 23H4C2.34315 23 1 21.6569 1 20V4C1 2.34315 2.34315 1 4 1H18.1716ZM4 3C3.44772 3 3 3.44772 3 4V20C3 20.5523 3.44772 21 4 21L5 21L5 15C5 13.3431 6.34315 12 8 12L16 12C17.6569 12 19 13.3431 19 15V21H20C20.5523 21 21 20.5523 21 20V6.82843C21 6.29799 20.7893 5.78929 20.4142 5.41421L18.5858 3.58579C18.2107 3.21071 17.702 3 17.1716 3H17V5C17 6.65685 15.6569 8 14 8H10C8.34315 8 7 6.65685 7 5V3H4ZM17 21V15C17 14.4477 16.5523 14 16 14L8 14C7.44772 14 7 14.4477 7 15L7 21L17 21ZM9 3H15V5C15 5.55228 14.5523 6 14 6H10C9.44772 6 9 5.55228 9 5V3Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                            <div class="pop__button pop__close" @click="closePopup()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="800px" height="800px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path
                                        d="M20.7457 3.32851C20.3552 2.93798 19.722 2.93798 19.3315 3.32851L12.0371 10.6229L4.74275 3.32851C4.35223 2.93798 3.71906 2.93798 3.32854 3.32851C2.93801 3.71903 2.93801 4.3522 3.32854 4.74272L10.6229 12.0371L3.32856 19.3314C2.93803 19.722 2.93803 20.3551 3.32856 20.7457C3.71908 21.1362 4.35225 21.1362 4.74277 20.7457L12.0371 13.4513L19.3315 20.7457C19.722 21.1362 20.3552 21.1362 20.7457 20.7457C21.1362 20.3551 21.1362 19.722 20.7457 19.3315L13.4513 12.0371L20.7457 4.74272C21.1362 4.3522 21.1362 3.71903 20.7457 3.32851Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="pop__actual">
                        <form @submit.prevent="">
                            <div class="form__wrap">
                                <div class="form__row">
                                    <div class="form__block">
                                        <label class="form__label" for="name">Наименование</label>
                                        <input type="text" class="form__input" name="name"
                                            v-model="store.popups.edit.info.name">
                                    </div>
                                    <div class="form__block">
                                        <label class="form__label" for="article">Артикул</label>
                                        <input type="text" class="form__input" name="article"
                                            v-model="store.popups.edit.info.article">
                                    </div>
                                </div>
                                <div class="form__row">
                                    <div class="form__block">
                                        <label for="material_id" class="form__label">Материал</label>
                                        <select name="material_id" required v-model="store.popups.edit.info.material_id"
                                            class="form__input">
                                            <option value="0" disabled>Выберите материал</option>
                                            <template v-for="item in page['props']['materials']">
                                                <option :value="item.id">{{ item.short_name }}</option>
                                            </template>
                                        </select>
                                    </div>
                                    <div class="form__block">
                                        <label for="measure_unit_id" class="form__label">Единица
                                            измерения</label>
                                        <select name="measure_unit_id" required
                                            v-model="store.popups.edit.info.measure_unit_id" class="form__input">
                                            <option value="0" disabled>Выберите материал</option>
                                            <template v-for="item in page['props']['measure_units']">
                                                <option :value="item.id">{{ item.short_name }}</option>
                                            </template>
                                        </select>
                                    </div>
                                </div>
                                <div class="form__row"
                                    v-if="store.popups.edit.info.type != 'equipment' && store.popups.edit.info.children.length < 1">
                                    <div class="form__block">
                                        <label class="form__label" for="weight">Вес</label>
                                        <input type="number" class="form__input" name="weight"
                                            v-model="store.popups.edit.info.weight">
                                    </div>
                                    <div class="form__block"
                                        v-if="store.popups.edit.info.type != 'equipment' && store.popups.edit.info.children.length < 1">
                                        <label class="form__label" for="price_per_unit">Цена</label>
                                        <input type="number" class="form__input" name="price_per_unit"
                                            v-model="store.popups.edit.info.price_per_unit">
                                    </div>
                                </div>
                                <div class="form__block">
                                    <label class="form__label" for="comment">Комментарий</label>
                                    <input type="text" class="form__input" name="comment"
                                        v-model="store.popups.edit.info.comment">
                                </div>
                                <div class="form__block">
                                    <label for="image" class="form__label">Выберите фото</label>
                                    <input
                                        class="block w-full text-lg text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 dark:text-gray-400 focus:outline-none dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400"
                                        name="image" id="image" type="file"
                                        @input="store.popups.edit.info.image = $event.target.files[0]">
                                </div>
                                <div class="form__block" v-if="page.props.auth.user.role_id != 1">
                                    <div class="form__label">Состав</div>
                                </div>
                                <div class="child__table" v-if="store.popups.edit.info.children.length > 0">
                                    <draggable v-model="store.popups.edit.info.children" tag="transition-group"
                                        item.key="element.range">
                                        <template #item="{ element }">
                                            <div class="child__item">
                                                <div class="child__row">
                                                    <div class="child__title">Наименование</div>
                                                    <div class="child__value">{{ element.name }}</div>
                                                </div>
                                                <div class="child__row">
                                                    <div class="child__title">Артикул</div>
                                                    <div class="child__value">{{ element.article }}</div>
                                                </div>
                                                <div class="child__row">
                                                    <div class="child__title">Тип</div>
                                                    <div class="child__value">{{ types[element.type].name }}</div>
                                                </div>
                                                <div class="child__row">
                                                    <div class="child__title">Количество</div>
                                                    <div class="child__value"><input type="number"
                                                            v-model="element.amount">{{
                                                        element.measure_unit }}
                                                    </div>
                                                </div>
                                            </div>
                                        </template>
                                    </draggable>
                                </div>
                            </div>
                        </form>
                        <template>
                            <div class="my-4 text-2xl font-semibold" v-if="store.popups.edit.info.type != 4">
                                История цен
                            </div>
                            <table class="history" v-if="store.popups.edit.info.phs">
                                <tr class="history__header">
                                    <th>
                                        Дата
                                    </th>
                                    <th>
                                        Аккаунт
                                    </th>
                                    <th>
                                        Цена
                                    </th>
                                </tr>
                                <tr class="history__item" v-for="history in store.popups.edit.info.phs">
                                    <td>
                                        {{ history.date }}
                                    </td>
                                    <td>
                                        {{ history.user.name }}
                                    </td>
                                    <td>
                                        {{ history.price }}
                                    </td>
                                </tr>
                            </table>
                        </template>
                    </div>
                </div>
            </div>
        </template>
    </div>
</template>
<style></style>
